Subject: Re: bug#33653: 27.0.50; Change Gnus obarrays-as-hash-tables into real hash tables

From: Eli Zaretskii <[email-masked]>
Date: Sat, 23 Mar 2019 08:46:02 +0200

> From: Glenn Morris <[email-masked]>
> Date: Fri, 22 Mar 2019 18:40:45 -0400
> Cc: [email-masked]
> 
> 1a) make bootstrap the default make target.

Don't know about the others, but almost I never bootstrap, except in a
fresh checkout.  The reasons are (a) it's slow, and I don't want to
wait for 10 or so minutes just because I updated from upstream; and
(b) it deletes all previous executables of Emacs, which I use for
fast-bisecting reported problems.

When these rare situations happen, it is not hard to guess the file
whose .elc should be removed and regenerated; if worse comes to worst,
deleting all the *.elc files in the relevant subdirectory (lisp/gnus/
in this case) and typing "make" solves the problem much faster for me,
and without the unwanted side effects.